<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="cdb932d9-7e58-4d94-93a9-e7b232ef17da" name="Default" comment="Working on client side - preparing View layer of app">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/newbieChat/controller/ChatController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/newbieChat/controller/ChatController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/newbieChat/controller/ContactListController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/newbieChat/controller/ContactListController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/newbieChat/controller/LoginController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/newbieChat/controller/LoginController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/newbieChat/dictionary/Texts.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/newbieChat/dictionary/Texts.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/img/logo.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/templates/ChatWindow.fxml" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/templates/ChatWindow.fxml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/templates/LoginWindow.fxml" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/templates/LoginWindow.fxml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/.idea/dataSources/d9d78a6b-1006-4aba-81ce-6c6560f982ce.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/.idea/dataSources/d9d78a6b-1006-4aba-81ce-6c6560f982ce.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/.idea/dataSources/d9d78a6b-1006-4aba-81ce-6c6560f982ce/storage_v2/_src_/database/newbieChat.1hc5uQ/schema/public.abK9xQ.meta" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/.idea/dataSources/d9d78a6b-1006-4aba-81ce-6c6560f982ce/storage_v2/_src_/database/newbieChat.1hc5uQ/schema/public.abK9xQ.meta" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/controller/ServerMainController.java" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/controller/ServerMainController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/controller/SettingsSummaryPaneController.java" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/controller/SettingsSummaryPaneController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/controller/SettingsUsersPaneController.java" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/controller/SettingsUsersPaneController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/dictionary/Icons.java" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/dictionary/Icons.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/dictionary/ServerTreeItems.java" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/dictionary/ServerTreeItems.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/dictionary/Texts.java" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/dictionary/Texts.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/dictionary/Views.java" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/dictionary/Views.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/repository/MessageRepository.java" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/java/newbieChat/repository/MessageRepository.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/resources/aaa.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/resources/templates/ServerMain.fxml" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/resources/templates/ServerMain.fxml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/resources/templates/SettingsSummaryPane.fxml" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/resources/templates/SettingsSummaryPane.fxml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../NewbieChatServer/src/main/resources/templates/SettingsUsersPane.fxml" beforeDir="false" afterPath="$PROJECT_DIR$/../NewbieChatServer/src/main/resources/templates/SettingsUsersPane.fxml" afterDir="false" />
    </list>
    <ignored path="JavaFxApplication.iws" />
    <ignored path=".idea/workspace.xml" />
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ChangesViewManager">
    <option name="groupingKeys">
      <option value="module" />
    </option>
  </component>
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="DebuggerManager">
    <breakpoint_any default_suspend_policy="SuspendAll" default_condition_enabled="true" converted="true">
      <breakpoint>
        <option name="NOTIFY_CAUGHT" value="true" />
        <option name="NOTIFY_UNCAUGHT" value="true" />
        <option name="ENABLED" value="false" />
        <option name="LOG_ENABLED" value="false" />
        <option name="LOG_EXPRESSION_ENABLED" value="false" />
        <option name="SUSPEND_POLICY" value="SuspendAll" />
        <option name="SUSPEND" value="true" />
        <option name="COUNT_FILTER_ENABLED" value="false" />
        <option name="COUNT_FILTER" value="0" />
        <option name="CONDITION_ENABLED" value="true" />
        <option name="CLASS_FILTERS_ENABLED" value="false" />
        <option name="INSTANCE_FILTERS_ENABLED" value="false" />
        <option name="CONDITION" value="" />
        <option name="LOG_MESSAGE" value="" />
      </breakpoint>
      <breakpoint>
        <option name="NOTIFY_CAUGHT" value="true" />
        <option name="NOTIFY_UNCAUGHT" value="true" />
        <option name="ENABLED" value="false" />
        <option name="LOG_ENABLED" value="false" />
        <option name="LOG_EXPRESSION_ENABLED" value="false" />
        <option name="SUSPEND_POLICY" value="SuspendAll" />
        <option name="SUSPEND" value="true" />
        <option name="COUNT_FILTER_ENABLED" value="false" />
        <option name="COUNT_FILTER" value="0" />
        <option name="CONDITION_ENABLED" value="true" />
        <option name="CLASS_FILTERS_ENABLED" value="false" />
        <option name="INSTANCE_FILTERS_ENABLED" value="false" />
        <option name="CONDITION" value="" />
        <option name="LOG_MESSAGE" value="" />
      </breakpoint>
    </breakpoint_any>
    <ui_properties converted="true" />
    <breakpoint_rules converted="true" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="JavaFxApplication" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="MatchController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/MatchController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2261">
              <caret line="167" selection-start-line="167" selection-end-line="167" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="UserCatalogController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/UserCatalogController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2414">
              <caret line="170" column="9" selection-start-line="170" selection-start-column="9" selection-end-line="170" selection-end-column="9" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="UserDetailsController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/UserDetailsController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="969">
              <caret line="82" column="5" selection-start-line="82" selection-start-column="5" selection-end-line="130" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Client.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/model/Client.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="4131">
              <caret line="263" column="61" selection-start-line="263" selection-start-column="61" selection-end-line="263" selection-end-column="61" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ListenFromServer.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/model/ListenFromServer.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="799">
              <caret line="51" column="36" selection-start-line="51" selection-start-column="36" selection-end-line="51" selection-end-column="36" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ContactListController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/ContactListController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3094">
              <caret line="216" column="63" selection-start-line="216" selection-start-column="63" selection-end-line="216" selection-end-column="63" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Texts.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dictionary/Texts.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="384">
              <caret line="38" column="76" lean-forward="true" selection-start-line="38" selection-start-column="76" selection-end-line="38" selection-end-column="76" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="LoginWindow.fxml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/templates/LoginWindow.fxml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="280">
              <caret line="18" column="47" lean-forward="true" selection-start-line="18" selection-start-column="47" selection-end-line="18" selection-end-column="47" />
            </state>
          </provider>
          <provider editor-type-id="JavaFX-Scene-Builder" />
        </entry>
      </file>
      <file leaf-file-name="LoginController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/LoginController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="255">
              <caret line="34" column="25" selection-start-line="34" selection-start-column="25" selection-end-line="34" selection-end-column="25" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ChatController.java" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/ChatController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="272">
              <caret line="40" lean-forward="true" selection-start-line="40" selection-end-line="40" />
              <folding>
                <element signature="e#2173#2174#0" expanded="true" />
                <element signature="e#2241#2242#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="FxmlFile" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>detai</find>
      <find>contactId</find>
      <find>userId</find>
      <find>Glyph.ENVELOPE</find>
      <find>SETTINGS&quot;</find>
      <find>messagesListChanged</find>
      <find>setV</find>
      <find>mes</find>
      <find>message</find>
      <find>public static boolean contains(</find>
      <find>boolean contains</find>
      <find>MESSAGE_OTHER</find>
      <find>button</find>
      <find>CONTACT_ADD</find>
      <find>CONTACT_LIST</find>
      <find>USER_LIST</find>
      <find>getInsta</find>
      <find>reloadData</find>
      <find>gameProfileElementsMap</find>
      <find>refre</find>
      <find>page</find>
      <find>&quot;MATCH</find>
      <find>match</find>
      <find>decide</find>
      <find>acceptButton</find>
      <find>getMatch</find>
      <find>Match</find>
      <find>match/find</find>
      <find>MATCH_FIND</find>
      <find>logo.png</find>
    </findStrings>
    <replaceStrings>
      <replace>logger.info</replace>
      <replace>import static</replace>
      <replace>UserFullProfileDTO</replace>
      <replace>UserProfileDTO</replace>
      <replace>gamingStyle</replace>
      <replace>7</replace>
      <replace>PAGE_SIZE</replace>
      <replace>13</replace>
      <replace>contactDTO.getId()</replace>
      <replace>contact.getId()</replace>
    </replaceStrings>
  </component>
  <component name="FindManager">
    <FindUsagesManager>
      <setting name="OPEN_NEW_TAB" value="false" />
    </FindUsagesManager>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/model/UserProfileDTO.java" />
        <option value="$PROJECT_DIR$/src/main/resources/templates/ContactListWindow.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/model/MessageDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/model/MatchDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dto/MatchDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/util/OffsetDateTimeDeserializer.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/view/ChatMessage.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/util/DateUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/model/ServerCommunicationObjectType.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dto/aaa.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dto/MessageDTO.java" />
        <option value="$PROJECT_DIR$/src/main/resources/templates/SettingsWindow.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dto/GameProfileDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/model/ServerCommunicationObject.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dto/asadds.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dto/ConfigGameProfileDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dto/UserFullProfileDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dto/UserProfileDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/view/ChatMessageElement.java" />
        <option value="$PROJECT_DIR$/src/main/resources/templates/ChatMessageElement.fxml" />
        <option value="$PROJECT_DIR$/src/main/resources/templates/InvitesWindow.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dto/InviteDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/view/MessageElement.java" />
        <option value="$PROJECT_DIR$/src/main/resources/templates/InvitesElement.fxml" />
        <option value="$PROJECT_DIR$/src/main/resources/templates/MessagesWindow.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/WindowController.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/ContactAddNewController.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/InvitesController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/main.css" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/enums/ServerCommunicationObjectType.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/model/UserStatusType.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dto/ContactDTO.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/view/InvitesElement.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/MessagesController.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/view/MessagesElement.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/model/ListenFromServer.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dictionary/Images.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/UserDetailsController.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/SettingsController.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/util/JavaFXUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/view/ContactListElement.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/UserCatalogController.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dictionary/Views.java" />
        <option value="$PROJECT_DIR$/src/main/resources/templates/MatchWindow.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/model/Client.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/MatchController.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/ContactListController.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/dictionary/Texts.java" />
        <option value="$PROJECT_DIR$/src/main/resources/templates/LoginWindow.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/LoginController.java" />
        <option value="$PROJECT_DIR$/src/main/java/newbieChat/controller/ChatController.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="NewbieChat" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="NewbieChat" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" />
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-7" />
    <option name="width" value="974" />
    <option name="height" value="1047" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectReloadState">
    <option name="STATE" value="0" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="newbieChat" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="newbieChat" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="newbieChat" type="462c0819:PsiDirectoryNode" />
              <item name="dictionary" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="newbieChat" type="462c0819:PsiDirectoryNode" />
              <item name="dto" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="newbieChat" type="462c0819:PsiDirectoryNode" />
              <item name="enums" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="newbieChat" type="462c0819:PsiDirectoryNode" />
              <item name="mock" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="newbieChat" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="newbieChat" type="462c0819:PsiDirectoryNode" />
              <item name="util" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="newbieChat" type="462c0819:PsiDirectoryNode" />
              <item name="view" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="NewbieChatClient" type="b2602c69:ProjectViewProjectNode" />
              <item name="NewbieChatClient" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="AndroidView" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="GoToClass.includeLibraries" value="false" />
    <property name="GoToClass.toSaveIncludeLibraries" value="false" />
    <property name="GoToFile.includeJavaFiles" value="false" />
    <property name="MemberChooser.copyJavadoc" value="false" />
    <property name="MemberChooser.showClasses" value="true" />
    <property name="MemberChooser.sorted" value="false" />
    <property name="OverrideImplement.combined" value="false" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="dynamic.classpath" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../../TakiTamProjekt" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="recentsLimit" value="5" />
    <property name="settings.editor.selected.configurable" value="project.propVCSSupport.Mappings" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\Dokumenty\Projekty\NewbieChat\src\main" />
      <recent name="E:\Dokumenty\Projekty\NewbieChat\resources\img" />
      <recent name="E:\Dokumenty\Projekty\NewbieChat\resources\templates" />
      <recent name="E:\Dokumenty\Projekty\NewbieChat\src\view" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\Dokumenty\Projekty\NewbieChat\NewbieChatClient\src\main\resources\templates" />
      <recent name="E:\Dokumenty\Projekty\NewbieChat\src\main\resources\templates" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="newbieChat.controller" />
      <recent name="newbieChat.view" />
      <recent name="model" />
      <recent name="controller" />
    </key>
    <key name="CreateClassDialog.RecentsKey">
      <recent name="newbieChat.dto" />
      <recent name="newbieChat.model" />
      <recent name="controller" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application">
      <option name="MAIN_CLASS_NAME" value="newbieChat.Main" />
      <module name="NewbieChatClient" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="newbieChat.controller.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <RunnerSettings RunnerId="Run" />
      <ConfigurationWrapper RunnerId="Run" />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="moduleWithDependencies" />
      </option>
      <patterns />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="moduleWithDependencies" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
    </configuration>
    <configuration default="true" type="DartUnitRunConfigurationType" factoryName="DartUnit">
      <option name="VMOptions" />
      <option name="arguments" />
      <option name="filePath" />
      <option name="scope" value="ALL" />
      <option name="testName" />
      <method />
    </configuration>
    <configuration default="true" type="Remote" factoryName="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" value="javadebug" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
      <method />
    </configuration>
    <configuration name="&lt;template&gt;" type="WebApp" default="true" selected="false">
      <Host>localhost</Host>
      <Port>5050</Port>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="cdb932d9-7e58-4d94-93a9-e7b232ef17da" name="Default" comment="" />
      <created>1359379246138</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1359379246138</updated>
      <workItem from="1359379250712" duration="1302000" />
      <workItem from="1525196538292" duration="6970000" />
      <workItem from="1525520963194" duration="10176000" />
      <workItem from="1525615047911" duration="11654000" />
      <workItem from="1531329780997" duration="4340000" />
      <workItem from="1531425140439" duration="2976000" />
      <workItem from="1531654672459" duration="7422000" />
      <workItem from="1532535976679" duration="1314000" />
      <workItem from="1532858706883" duration="706000" />
      <workItem from="1533567099699" duration="3265000" />
      <workItem from="1533576857009" duration="343000" />
      <workItem from="1533660486508" duration="1481000" />
      <workItem from="1533672817652" duration="643000" />
      <workItem from="1533742746203" duration="1222000" />
      <workItem from="1533760633143" duration="668000" />
      <workItem from="1533793939262" duration="1225000" />
      <workItem from="1534087412996" duration="673000" />
      <workItem from="1534320803245" duration="983000" />
      <workItem from="1534528693218" duration="1657000" />
      <workItem from="1534587872653" duration="3212000" />
      <workItem from="1534598233591" duration="4362000" />
      <workItem from="1534608247762" duration="5773000" />
      <workItem from="1534673888345" duration="605000" />
      <workItem from="1539442998259" duration="606000" />
      <workItem from="1539447944628" duration="599000" />
      <workItem from="1539532168473" duration="4056000" />
      <workItem from="1539885445392" duration="818000" />
      <workItem from="1539887304810" duration="168000" />
      <workItem from="1539887508845" duration="594000" />
      <workItem from="1539888137143" duration="389000" />
      <workItem from="1540812187572" duration="3981000" />
      <workItem from="1540826103234" duration="12383000" />
      <workItem from="1540975844169" duration="9157000" />
      <workItem from="1541070222751" duration="9772000" />
      <workItem from="1541099738488" duration="6970000" />
      <workItem from="1541703217769" duration="107000" />
      <workItem from="1541703353270" duration="2070000" />
      <workItem from="1541792742903" duration="4241000" />
      <workItem from="1541853596600" duration="24756000" />
      <workItem from="1542017205417" duration="16507000" />
      <workItem from="1542138567367" duration="3672000" />
      <workItem from="1542217501779" duration="8595000" />
      <workItem from="1542307212928" duration="14466000" />
      <workItem from="1542401731226" duration="8141000" />
      <workItem from="1542457709332" duration="3118000" />
      <workItem from="1542470550708" duration="14753000" />
      <workItem from="1542531537872" duration="34352000" />
      <workItem from="1542743826902" duration="11004000" />
      <workItem from="1542829490640" duration="6796000" />
      <workItem from="1542922723762" duration="5143000" />
      <workItem from="1543059656537" duration="9237000" />
      <workItem from="1543103077877" duration="872000" />
      <workItem from="1543144491751" duration="21097000" />
      <workItem from="1543611109193" duration="27000" />
      <workItem from="1543674138050" duration="642000" />
      <workItem from="1543779926866" duration="6000" />
      <workItem from="1543825714835" duration="299000" />
      <workItem from="1543964078967" duration="3469000" />
    </task>
    <task id="LOCAL-00001" summary="Working on client side - preparing View layer of app">
      <created>1525638245676</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1525638245676</updated>
    </task>
    <task id="LOCAL-00002" summary="Working on client side - preparing View layer of app">
      <created>1531663081756</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1531663081757</updated>
    </task>
    <task id="LOCAL-00003" summary="/add many, many features to Client">
      <created>1541002712102</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1541002712102</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="315890000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info anchor="right" id="Palette" order="9" />
      <window_info anchor="bottom" id="TODO" order="15" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.3273743" />
      <window_info anchor="right" id="Palette&#9;" order="1" />
      <window_info id="Image Layers" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="0" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.5010661" side_tool="true" weight="0.31955308" />
      <window_info anchor="right" id="Maven Projects" order="6" weight="0.3294621" />
      <window_info anchor="bottom" id="Database Changes" order="0" show_stripe_button="false" />
      <window_info anchor="bottom" id="Run" order="4" sideWeight="0.4989339" weight="0.31955308" />
      <window_info anchor="bottom" id="Version Control" order="14" weight="0.32849163" />
      <window_info anchor="bottom" id="Terminal" order="1" weight="0.32849163" />
      <window_info id="Capture Tool" order="1" />
      <window_info id="Designer" order="0" />
      <window_info content_ui="combo" id="Project" order="4" sideWeight="0.5716639" visible="true" weight="0.20095949" />
      <window_info anchor="right" id="Database" order="8" weight="0.32995737" />
      <window_info anchor="bottom" id="Find" order="3" weight="0.32849163" />
      <window_info id="Learn" order="3" />
      <window_info id="Structure" order="6" sideWeight="0.42833608" side_tool="true" weight="0.25373134" />
      <window_info anchor="right" id="Ant Build" order="4" weight="0.25" />
      <window_info id="UI Designer" order="2" />
      <window_info anchor="right" id="Theme Preview" order="2" />
      <window_info anchor="bottom" id="Debug" order="5" weight="0.38994414" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info anchor="right" id="JetGradle" order="7" />
      <window_info anchor="bottom" id="Inspection" order="7" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="3" type="SLIDING" weight="0.4" />
      <window_info anchor="bottom" id="Changes" order="12" />
      <window_info anchor="bottom" id="Cvs" order="6" weight="0.25" />
      <window_info anchor="bottom" id="Profiler" order="13" />
      <window_info anchor="bottom" id="Problems" order="9" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="5" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="2" />
      <window_info anchor="bottom" id="Application Servers" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="OFFER_MOVE_TO_ANOTHER_CHANGELIST_ON_PARTIAL_COMMIT" value="true" />
    <option name="CHECK_CODE_SMELLS_BEFORE_PROJECT_COMMIT" value="false" />
    <option name="INCLUDE_TEXT_INTO_SHELF" value="false" />
    <ignored-roots>
      <path value="$PROJECT_DIR$" />
    </ignored-roots>
    <MESSAGE value="Working on client side - preparing View layer of app" />
    <MESSAGE value="/add many, many features to Client" />
    <option name="LAST_COMMIT_MESSAGE" value="/add many, many features to Client" />
    <option name="OPTIMIZE_IMPORTS_BEFORE_PROJECT_COMMIT" value="true" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="177" />
    </breakpoint-manager>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="evaluateCodeFragment">
      <expression>
        <expression-string>!key.startsWith(game)</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>CODE_FRAGMENT</evaluation-mode>
      </expression>
      <expression>
        <expression-string>key.startsWith(game)</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>CODE_FRAGMENT</evaluation-mode>
      </expression>
      <expression>
        <expression-string>!entry.getKey().startsWith(((Tab)event.getSource()).getText())</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>CODE_FRAGMENT</evaluation-mode>
      </expression>
      <expression>
        <expression-string>gameComboBox.getItems()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>CODE_FRAGMENT</evaluation-mode>
      </expression>
      <expression>
        <expression-string>keyEvent.getCode()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>CODE_FRAGMENT</evaluation-mode>
      </expression>
      <expression>
        <expression-string>keyEvent</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>CODE_FRAGMENT</evaluation-mode>
      </expression>
      <expression>
        <expression-string>KeyCode.ENTER</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>CODE_FRAGMENT</evaluation-mode>
      </expression>
      <expression>
        <expression-string>keyEvent.getText()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>CODE_FRAGMENT</evaluation-mode>
      </expression>
      <expression>
        <expression-string>System.lineSeparator()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>CODE_FRAGMENT</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/ContactListController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10149">
          <caret line="643" column="59" selection-start-line="643" selection-start-column="59" selection-end-line="643" selection-end-column="59" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/ContactListController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5525">
          <caret line="359" lean-forward="true" selection-start-line="359" selection-end-line="359" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/ContactListController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6868">
          <caret line="444" column="57" lean-forward="true" selection-start-line="444" selection-start-column="57" selection-end-line="444" selection-end-column="57" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/util/OffsetDateTimeDeserializer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="17" lean-forward="true" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_172/src.zip!/java/time/format/DateTimeFormatter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="381">
          <caret line="670" column="82" lean-forward="true" selection-start-line="670" selection-start-column="82" selection-end-line="670" selection-end-column="82" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_172/javafx-src.zip!/javafx/scene/text/TextFlow.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="167" column="11" selection-start-line="167" selection-start-column="11" selection-end-line="167" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_172/javafx-src.zip!/javafx/scene/text/Text.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="113" column="11" selection-start-line="113" selection-start-column="11" selection-end-line="113" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/util/DateUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="24" selection-start-column="24" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/util/ValidatorsUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="21" column="36" selection-start-line="21" selection-start-column="36" selection-end-line="21" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dto/MatchDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" lean-forward="true" selection-start-line="13" selection-end-line="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dto/ConfigGameProfileDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="6" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_172/src.zip!/java/util/function/Predicate.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="173">
          <caret line="48" column="12" selection-start-line="48" selection-start-column="12" selection-end-line="48" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_172/javafx-src.zip!/javafx/fxml/FXMLLoader.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="268">
          <caret line="2569" selection-start-line="2569" selection-end-line="2569" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dto/UserFullProfileDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="459">
          <caret line="32" column="46" selection-start-line="32" selection-start-column="46" selection-end-line="32" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/controlsfx/controlsfx/8.40.14/controlsfx-8.40.14-sources.jar!/org/controlsfx/glyphfont/FontAwesome.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="799">
          <caret line="73" column="13" selection-start-line="73" selection-start-column="13" selection-end-line="73" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="278">
          <caret line="34" column="21" lean-forward="true" selection-start-line="34" selection-start-column="21" selection-end-line="34" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_172/javafx-src.zip!/javafx/stage/Window.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="235">
          <caret line="789" column="30" selection-start-line="789" selection-start-column="25" selection-end-line="789" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_172/javafx-src.zip!/javafx/stage/Stage.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="1232" column="21" selection-start-line="1232" selection-start-column="16" selection-end-line="1232" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_172/javafx-src.zip!/javafx/scene/control/Cell.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="173">
          <caret line="668" column="19" selection-start-line="668" selection-start-column="19" selection-end-line="668" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_172/javafx-src.zip!/javafx/scene/control/TableCell.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="173">
          <caret line="223" column="30" selection-start-line="223" selection-start-column="30" selection-end-line="223" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_172/src.zip!/java/lang/Void.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="181">
          <caret line="36" column="6" selection-start-line="36" selection-start-column="6" selection-end-line="36" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/model/ServerCommunicationObject.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="8" column="32" lean-forward="true" selection-start-line="8" selection-start-column="32" selection-end-line="8" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dto/GameProfileDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dto/InviteDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" column="48" lean-forward="true" selection-start-line="5" selection-start-column="48" selection-end-line="5" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/ContactAddNewController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="442">
          <caret line="32" selection-start-line="32" selection-end-line="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/view/ChatMessageElement.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="27" column="7" selection-start-line="27" selection-start-column="7" selection-end-line="27" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dto/UserProfileDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dto/MessageDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="12" column="13" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dto/ContactDTO.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="40" column="15" selection-start-line="40" selection-start-column="15" selection-end-line="40" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/InvitesController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-289">
          <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/view/InvitesElement.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="27" column="13" selection-start-line="27" selection-start-column="13" selection-end-line="27" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/view/MessagesElement.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="464">
          <caret line="98" column="20" selection-start-line="98" selection-start-column="20" selection-end-line="98" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/WindowController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="166">
          <caret line="32" selection-start-line="32" selection-end-line="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/MessagesController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="311">
          <caret line="46" column="16" selection-start-line="46" selection-start-column="16" selection-end-line="46" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/util/JavaFXUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="336">
          <caret line="93" lean-forward="true" selection-start-line="93" selection-end-line="93" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/SettingsController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="302">
          <caret line="336" lean-forward="true" selection-start-line="336" selection-end-line="336" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/model/UserStatusType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="13" column="31" selection-start-line="13" selection-start-column="31" selection-end-line="13" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/view/ContactListElement.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="379">
          <caret line="61" column="22" selection-start-line="61" selection-start-column="22" selection-end-line="61" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dictionary/Images.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="13" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dictionary/Views.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="18" column="83" selection-start-line="18" selection-start-column="83" selection-end-line="18" selection-end-column="83" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/enums/ServerCommunicationObjectType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="23" column="14" selection-start-line="23" selection-start-column="4" selection-end-line="23" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/model/ListenFromServer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="799">
          <caret line="51" column="36" selection-start-line="51" selection-start-column="36" selection-end-line="51" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/model/Client.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4131">
          <caret line="263" column="61" selection-start-line="263" selection-start-column="61" selection-end-line="263" selection-end-column="61" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/UserCatalogController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2414">
          <caret line="170" column="9" selection-start-line="170" selection-start-column="9" selection-end-line="170" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/MatchController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2261">
          <caret line="167" selection-start-line="167" selection-end-line="167" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/UserDetailsController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="969">
          <caret line="82" column="5" selection-start-line="82" selection-start-column="5" selection-end-line="130" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/ContactListController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3094">
          <caret line="216" column="63" selection-start-line="216" selection-start-column="63" selection-end-line="216" selection-end-column="63" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/dictionary/Texts.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="384">
          <caret line="38" column="76" lean-forward="true" selection-start-line="38" selection-start-column="76" selection-end-line="38" selection-end-column="76" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/templates/LoginWindow.fxml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="280">
          <caret line="18" column="47" lean-forward="true" selection-start-line="18" selection-start-column="47" selection-end-line="18" selection-end-column="47" />
        </state>
      </provider>
      <provider editor-type-id="JavaFX-Scene-Builder" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/LoginController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="34" column="25" selection-start-line="34" selection-start-column="25" selection-end-line="34" selection-end-column="25" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/newbieChat/controller/ChatController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="40" lean-forward="true" selection-start-line="40" selection-end-line="40" />
          <folding>
            <element signature="e#2173#2174#0" expanded="true" />
            <element signature="e#2241#2242#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <last-edited>JavaFXApp</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Detection</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>NewbieChatClient</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: com.fasterxml.jackson.core:jackson-annotations:2.9.0</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
  <component name="mavenExecuteGoalHistory">
    <option value="" />
  </component>
</project>